%define upstream_name    Net-DAAP-DMAP
%define upstream_version 1.27

%define _requires_exceptions perl(Math::Bigint)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for reading and writing DAAP structures
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl module for reading and writing DAAP structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#check
#make test

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes META.yml MYMETA.yml
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/DAAP/DMAP.pm


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-3.mga3
+ Revision: 370510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 1.270.0-2.mga2
+ Revision: 220179
- remove bogus requires

* Wed Jan 25 2012 jquelin <jquelin> 1.270.0-1.mga2
+ Revision: 201125
- update to 1.27

* Thu Jan 20 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 26678
- mageia rebuild
- imported package perl-Net-DAAP-DMAP

